Package classycle

# Class XMLPackageStrongComponentRenderer

java.lang.Object
classycle.renderer.AbstractStrongComponentRenderer
classycle.renderer.XMLStrongComponentRenderer
classycle.XMLPackageStrongComponentRenderer

All Implemented Interfaces:
  `StrongComponentRenderer`

public class XMLPackageStrongComponentRenderer extends XMLStrongComponentRenderer

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`XMLPackageStrongComponentRenderer(int minimumSize)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getCenterNodesElementName()`
`protected String`
`getNodeElementName()`
`protected String`
`getNodesElementName()`
`protected String`
`getStrongComponentElementName()`

### Methods inherited from class classycle.renderer.XMLStrongComponentRenderer

`getBestFragmentersElementName, render`

### Methods inherited from class classycle.renderer.AbstractStrongComponentRenderer

`createName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLPackageStrongComponentRenderer

public XMLPackageStrongComponentRenderer(int minimumSize)

## Method Details

### getNodesElementName

protected String getNodesElementName()

Overrides:
  `getNodesElementName` in class `XMLStrongComponentRenderer`

### getNodeElementName

protected String getNodeElementName()

Overrides:
  `getNodeElementName` in class `XMLStrongComponentRenderer`

### getCenterNodesElementName

protected String getCenterNodesElementName()

Overrides:
  `getCenterNodesElementName` in class `XMLStrongComponentRenderer`

### getStrongComponentElementName

protected String getStrongComponentElementName()

Overrides:
  `getStrongComponentElementName` in class `XMLStrongComponentRenderer`